DocumentCategorizer (Apache OpenNLP :: Ext :: UIMA Annotators 3.0.0-M4 API)
Description: declaration: package: opennlp.uima.doccat, class: DocumentCategorizer

Package opennlp.uima.doccat

# Class DocumentCategorizer

java.lang.Object
org.apache.uima.analysis_component.AnalysisComponent_ImplBase
org.apache.uima.analysis_component.Annotator_ImplBase
org.apache.uima.analysis_component.CasAnnotator_ImplBase
opennlp.uima.doccat.DocumentCategorizer

All Implemented Interfaces:
  `org.apache.uima.analysis_component.AnalysisComponent`

public class DocumentCategorizer extends org.apache.uima.analysis_component.CasAnnotator_ImplBase
A default implementation of an OpenNLP Document Categorizer.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentCategorizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialize(org.apache.uima.UimaContext context)`
  `void`
  `process(org.apache.uima.cas.CAS cas)`
  `void`
  `typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem)`

  ### Methods inherited from class org.apache.uima.analysis_component.CasAnnotator_ImplBase

  `getRequiredCasInterface, process`

  ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

  `getCasInstancesRequired, hasNext, next`

  ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

  `batchProcessComplete, collectionProcessComplete, destroy, reconfigure, setResultSpecification`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentCategorizer

    public DocumentCategorizer()

- ## Method Details

  - ### typeSystemInit

    public void typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem) throws org.apache.uima.analysis_engine.AnalysisEngineProcessException
    Throws:
      `org.apache.uima.analysis_engine.AnalysisEngineProcessException`

  - ### initialize

    public void initialize(org.apache.uima.UimaContext context) throws org.apache.uima.resource.ResourceInitializationException
    Specified by:
      `initialize` in interface `org.apache.uima.analysis_component.AnalysisComponent`
    Overrides:
      `initialize` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`
    Throws:
      `org.apache.uima.resource.ResourceInitializationException`

  - ### process

    public void process(org.apache.uima.cas.CAS cas)
    Specified by:
      `process` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`